Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hp.hpl.jena.sdb.core
Class ScopeEntry

    java.lang.Object
      com.hp.hpl.jena.sdb.core.ScopeEntry

    public class ScopeEntry

extends Object

Field Summary
`static org.openjena.atlas.iterator.Filter<ScopeEntry>` | `OptionalFilter`
`static org.openjena.atlas.iterator.Action<ScopeEntry>` | `SetOpt`
`static org.openjena.atlas.iterator.Transform<ScopeEntry,com.hp.hpl.jena.sparql.core.Var>` | `ToVar`

Constructor Summary
`ScopeEntry(com.hp.hpl.jena.sparql.core.Var var, SqlColumn column)`

Method Summary
`ScopeEntry` | `duplicate()`
`SqlColumn` | `getColumn()`
`ScopeStatus` | `getStatus()`
`com.hp.hpl.jena.sparql.core.Var` | `getVar()`
`boolean` | `hasStatus(ScopeStatus testStatus2)`
`boolean` | `isFixed()`
`boolean` | `isOptional()`
`void` | `reset(com.hp.hpl.jena.sparql.core.Var var, SqlColumn column, ScopeStatus status)`
`void` | `setStatus(ScopeStatus newStatus)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### OptionalFilter

    public static org.openjena.atlas.iterator.Filter<ScopeEntry> OptionalFilter

### ToVar

    public static org.openjena.atlas.iterator.Transform<ScopeEntry,com.hp.hpl.jena.sparql.core.Var> ToVar

### SetOpt

    public static org.openjena.atlas.iterator.Action<ScopeEntry> SetOpt

Constructor Detail

### ScopeEntry

    public ScopeEntry(com.hp.hpl.jena.sparql.core.Var var,
                      SqlColumn column)

Method Detail

### reset

    public void reset(com.hp.hpl.jena.sparql.core.Var var,
                      SqlColumn column,
                      ScopeStatus status)

### duplicate

    public ScopeEntry duplicate()

### getColumn

    public SqlColumn getColumn()

### getStatus

    public ScopeStatus getStatus()

### setStatus

    public void setStatus(ScopeStatus newStatus)

### isOptional

    public boolean isOptional()

### isFixed

    public boolean isFixed()

### hasStatus

    public boolean hasStatus(ScopeStatus testStatus2)

### getVar

    public com.hp.hpl.jena.sparql.core.Var getVar()

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ? 2006, 2007, 2008, 2009 Hewlett-Packard Development Company, LP Copyright ? 2010 Epimorphics Ltd.